
From: Pavel Machek <pavel@suse.cz>

I thought I'm done with fixing u32 vs.  pm_message_t ...  unfortunately that
turned out not to be the case as Russel King pointed out.  This fixes last few
bits in alsa.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/core/init.c        |    4 ++--
 25-akpm/sound/pci/atiixp_modem.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN sound/core/init.c~fix-pm_message_t-vs-u32-in-alsa sound/core/init.c
--- 25/sound/core/init.c~fix-pm_message_t-vs-u32-in-alsa	2005-04-04 00:39:15.000000000 -0700
+++ 25-akpm/sound/core/init.c	2005-04-04 00:39:15.000000000 -0700
@@ -744,7 +744,7 @@ struct snd_generic_device {
 
 #define SND_GENERIC_NAME	"snd_generic_pm"
 
-static int snd_generic_suspend(struct device *dev, u32 state, u32 level);
+static int snd_generic_suspend(struct device *dev, pm_message_t state, u32 level);
 static int snd_generic_resume(struct device *dev, u32 level);
 
 static struct device_driver snd_generic_driver = {
@@ -800,7 +800,7 @@ static void snd_generic_device_unregiste
 }
 
 /* suspend/resume callbacks for snd_generic platform device */
-static int snd_generic_suspend(struct device *dev, u32 state, u32 level)
+static int snd_generic_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	snd_card_t *card;
 
diff -puN sound/pci/atiixp_modem.c~fix-pm_message_t-vs-u32-in-alsa sound/pci/atiixp_modem.c
--- 25/sound/pci/atiixp_modem.c~fix-pm_message_t-vs-u32-in-alsa	2005-04-04 00:39:15.000000000 -0700
+++ 25-akpm/sound/pci/atiixp_modem.c	2005-04-04 00:39:15.000000000 -0700
@@ -1121,7 +1121,7 @@ static int snd_atiixp_suspend(snd_card_t
 	snd_atiixp_aclink_down(chip);
 	snd_atiixp_chip_stop(chip);
 
-	pci_set_power_state(chip->pci, 3);
+	pci_set_power_state(chip->pci, PCI_D3hot);
 	pci_disable_device(chip->pci);
 	return 0;
 }
@@ -1132,7 +1132,7 @@ static int snd_atiixp_resume(snd_card_t 
 	int i;
 
 	pci_enable_device(chip->pci);
-	pci_set_power_state(chip->pci, 0);
+	pci_set_power_state(chip->pci, PCI_D0);
 	pci_set_master(chip->pci);
 
 	snd_atiixp_aclink_reset(chip);
_
